消費者市場:韓國、台灣
商品層級的折扣率基準價格已變更。
在「申請銷售審核」核准後,取得 Option ID(vendorItemId)後,即可使用此功能。
通路
PUT
/v2/providers/seller_api/apis/api/v1/marketplace/vendor-items/{vendorItemId}/original-prices/{originalPrice}
請求範例端點
https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/vendor-items/3010120800/original-prices/100000
參數需求
主體參數
| Name | Required | Type | Description | ||||
|---|---|---|---|---|---|---|---|
| vendorItemId | O | Number | 供應商商品的唯一識別碼。 | ||||
| originalPrice | O | Number | 折扣率基準價格(Base price for discount rate) 可自 0 起,以 10 韓元為單位輸入(不可輸入 1 韓元單位)。 | ||||
請求範例
not require body
錯誤響應
| Name | Type | Description | ||||
|---|---|---|---|---|---|---|
| code | String | 結果代碼 SUCCESS/ERROR | ||||
| message | String | 結果訊息 | ||||
Response Example
{
"code": "SUCCESS",
"message": "할인율 기준가격이 변경되었습니다.",
"data": null
}Error Spec
| HTTP status code (Error type) | Error message | Solution |
|---|---|---|
400(請確認請求參數) | original price change failed.
| 請確認 屬性 ID(vendorItemId) 是否已被刪除。 |
| 400 (Check the requested variable) | original price change failed.
[OptionID[5246***945]:價格最小單位為 10 韓元(無法以 1 韓元為單位輸入)] | 請確認輸入的折扣率基準價(originalPrice)是否正確。 價格最小輸入單位為 10 韓元(無法以 1 韓元為單位輸入)。 |
| 400 (Check the requested variable) | Invalid vendorItemId. | 請確認輸入的 屬性 ID(vendorItemId) 值是否正確 |
URL API Name
UPDATE_PRODUCT_PRICE_INCL_DISCOUNT